> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an opportunity stage

> Operacion: Update an opportunity stage.



## OpenAPI

````yaml /generated/specs/sales.json patch /api/v1/opportunity-stages/{id}
openapi: 3.0.0
info:
  title: Raul API - Ventas
  description: >-
    Cotizaciones, pipeline, outreach comercial, equipos cotizables y ventas de
    equipamiento.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/opportunity-stages/{id}:
    patch:
      tags:
        - Opportunity Stages
      summary: Update an opportunity stage
      description: 'Operacion: Update an opportunity stage.'
      operationId: OpportunityStagesController_update
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateOpportunityStageDto'
      responses:
        '200':
          description: Opportunity stage updated
        '400':
          description: Cannot modify system stages
        '404':
          description: Opportunity stage not found
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateOpportunityStageDto:
      type: object
      properties: {}
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Token de sesión Better Auth para rutas de backoffice; las rutas de
        portal usan su token propio.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.